> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payment methods

> Get a list of available payment methods for a given country code



## OpenAPI

````yaml /openapi/embedded-payments.yaml get /v1/payment-methods
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Global Payments
  version: 1.0.0
  title: Embedded Payments
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Beneficiaries
    description: APIs for managing beneficiaries
  - name: Payouts
    description: APIs for managing payouts
  - name: Balances
    description: APIs for managing account balances
  - name: FX
    description: APIs for managing foreign exchange rates
  - name: Resources
    description: Resource APIs to access and manage foundational data
  - name: Virtual Accounts
    description: APIs for managing virtual accounts
paths:
  /v1/payment-methods:
    get:
      tags:
        - Resources
      summary: Get payment methods
      description: Get a list of available payment methods for a given country code
      operationId: getPaymentMethods
      parameters:
        - name: countryCode
          in: query
          required: false
          description: The country code in ISO 3166-1 alpha-2 format
          schema:
            type: string
          example: BR
        - name: paymentMethod
          in: query
          required: false
          description: The payment method to filter by
          schema:
            type: string
          example: bank
        - name: currency
          in: query
          required: false
          description: The currency to filter by
          schema:
            type: string
          example: USD
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetPaymentMethodsResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetPaymentMethodsResponse:
      description: Available payment methods, one entry per country matching the query
      content:
        application/json:
          schema:
            type: array
            items:
              type: object
              required:
                - country
                - paymentMethods
              properties:
                country:
                  type: string
                  description: The country code in ISO 3166-1 alpha-2 format
                  example: BR
                countryName:
                  type: string
                  description: The country's display name
                  example: Brazil
                paymentMethods:
                  type: array
                  items:
                    $ref: '#/components/schemas/PaymentMethod'
          examples:
            brazilPaymentMethods:
              $ref: '#/components/examples/brazilPaymentMethods'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    PaymentMethod:
      type: object
      required:
        - type
        - currency
        - status
      properties:
        type:
          type: string
          description: The type of payment method
          enum:
            - bank
            - swift
            - proxy
            - momo
            - ach
          example: bank
        currency:
          type: string
          description: The currency in ISO 4217 format
          example: KES
        status:
          type: string
          description: The status of the payment method
          enum:
            - active
            - inactive
          example: active
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  examples:
    brazilPaymentMethods:
      summary: Brazil Payment Methods
      value:
        - country: BR
          countryName: Brazil
          paymentMethods:
            - type: bank
              currency: BRL
              status: active
            - type: proxy
              currency: BRL
              status: active
            - type: swift
              currency: USD
              status: active
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````